Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.AuthenticatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.Authenticator`, `ClientWireProtocol.Authenticator.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.AuthenticatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.OpenIDAuthenticator` | `getOpenIdAuthenticator()` | `.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`
`ClientWireProtocol.OpenIDAuthenticatorOrBuilder` | `getOpenIdAuthenticatorOrBuilder()` | `.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`
`ClientWireProtocol.Authenticator.ResponseOneofCase` | `getResponseOneofCase()` |
`boolean` | `hasOpenIdAuthenticator()` | `.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasOpenIdAuthenticator

boolean hasOpenIdAuthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`

Returns:
  Whether the openIdAuthenticator field is set.

### getOpenIdAuthenticator

ClientWireProtocol.OpenIDAuthenticator getOpenIdAuthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`

Returns:
  The openIdAuthenticator.

### getOpenIdAuthenticatorOrBuilder

ClientWireProtocol.OpenIDAuthenticatorOrBuilder getOpenIdAuthenticatorOrBuilder()
`.xg.cmdcomp.OpenIDAuthenticator openIdAuthenticator = 1;`

### getResponseOneofCase

ClientWireProtocol.Authenticator.ResponseOneofCase getResponseOneofCase()